Miscellaneous ⇒ User & Newbie Resources :: Archives ⇒ GD Image Library :: Archived ⇒ Community Forums ⇒ CPG Dragonfly™ CMS
Forum IndexUser & Newbie Resources

Archived ⇒ GD Image Library


Somehow i dont have a GD Image Library installed, anyone know where i can download one @? thats compatable with my server specs?

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Operating system.: Linux:.|Apache version.:1.3.37 (Unix):.|PERL version.:5.8.7:.|PHP version.:4.4.4:.|MySQL version.:4.1.21-standard:.|DF.:9.x:.


Your php version should have gd bundled, open your php.ini and change ;extension=php_gd2.dll to extension=php_gd2.dll

anyways php 4.3.?

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS


php 4.3.10 and that didnt work Wink

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Operating system.: Linux:.|Apache version.:1.3.37 (Unix):.|PERL version.:5.8.7:.|PHP version.:4.4.4:.|MySQL version.:4.1.21-standard:.|DF.:9.x:.


restart apache

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS


you can't just add it to the php.ini file. you have to reinstall (recompile) php and add that extension to the make path.

Search is your friend

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Fedora Core 1, Apache 1.3.33, Mysql 4.1.14, PHP 5.0.5 w/ APC cache, Dragonfly 9.0.6.1


I reinstalled php but it still has no gd image library

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Operating system.: Linux:.|Apache version.:1.3.37 (Unix):.|PERL version.:5.8.7:.|PHP version.:4.4.4:.|MySQL version.:4.1.21-standard:.|DF.:9.x:.


Windows XP:

1. download the php ZIP pack (not the installer)
2. place the files from /ext/ in your C:/PHP/ext (or where ever)
3. open php.ini and fix "extension_dir =" setting
4. do NanoCaiordo's 1st reply
5. restart apache (if it loads php as a module)

Linux:

1. get the source pack
2. recompile PHP including --with-gd
3. restart apache (if it loads php as a module)

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Fedora 25 / Apache 2.4.27 / MariaDB 10.1.26 / PHP 7.1.10 / Mercurial


Ive done that over and over and still it shows no gd...

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Operating system.: Linux:.|Apache version.:1.3.37 (Unix):.|PERL version.:5.8.7:.|PHP version.:4.4.4:.|MySQL version.:4.1.21-standard:.|DF.:9.x:.


create a file with$var = extension_loaded('gd') ? '<center><b>gd library is loaded</b></center>' : '<center><b>gd library is NOT loaded</b></center>'; print $var; phpinfo();
as content and save it on the top of your website path with a name of your choise.php then open your favorite browser to visit that page.

If on the very top of the page you get gd library is loaded all is ok otherwise scroll the list to see if you see "--with-gd" on the "Configure Command", also make sure that you are tweaking the same php.ini that apache is using "Configuration File (php.ini) Path" then scroll down yes you see any section regarding GD, section are alphabetically ordered.

Anyways if at the very top of the page you get gd library is NOT loaded you are not going to found '--with-gd' and even GD section will be missing.

So make sure you are tweaking the correct php.ini.

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS

All times are UTC